BSONDUMP(1)

NAME
bsondump - MongoDB BSON utility

SYNOPSIS

The bsondump converts BSON files into human-readable formats, including JSON. For example, bsondump is useful for reading the output files generated by mongodump.

OPTIONS

bsondump

--help
    Returns a basic help and usage text.

--verbose, -v
    Increases the amount of internal reporting returned on the command line. Increase the verbosity with the -v form by including the option multiple times, (e.g. -vvvvv.)

--version
    Returns the version of the bsondump utility.

--objcheck
    Validates each BSON object before outputting it in JSON format. By default, bsondump enables --objcheck by default. For objects with a high degree of sub-document nesting, --objcheck can have a small impact on performance. You can set --noobjcheck to disable object checking.

    Changed in version 2.4: MongoDB enables --objcheck by default, to prevent any client from inserting malformed or invalid BSON into a MongoDB database.

--noobjcheck
    New in version 2.4.

    Disables the default document validation that bsondump performs on all BSON documents.

--filter '<JSON>'
    Limits the documents that bsondump exports to only those documents that match the JSON document specified as '<JSON>'. Be sure to include the document in single quotes to avoid interaction with your system's shell environment.

--type <=json|=debug>
    Changes the operation of bsondump from outputting "JSON" (the default) to a debugging format.

<bsonfilename>
    The final argument to bsondump is a document containing BSON. This data is typically generated by mongodump or by MongoDB in a rollback operation.

USAGE

By default, bsondump outputs data to standard output. To create corresponding JSON files, you will need to use the shell redirect. See the following command:

bsondump collection.bson > collection.json

Use the following command (at the system shell) to produce debugging output for a BSON file:

bsondump --type=debug collection.bson

AUTHOR
MongoDB Documentation Project

COPYRIGHT
2011-2013, 10gen, Inc.